import request from '@/utils/request'

// 查询资源管理出库入库明细列表
export function listEhsMaterialDetail(query) {
  return request({
    url: '/EhsMaterialDetail/EhsMaterialDetail/list',
    method: 'get',
    params: query
  })
}

// 查询资源管理出库入库明细详细
export function getEhsMaterialDetail(materialDetailId) {
  return request({
    url: '/EhsMaterialDetail/EhsMaterialDetail/' + materialDetailId,
    method: 'get'
  })
}

// 新增资源管理出库入库明细
export function addEhsMaterialDetail(data) {
  return request({
    url: '/EhsMaterialDetail/EhsMaterialDetail',
    method: 'post',
    data: data
  })
}

// 修改资源管理出库入库明细
export function updateEhsMaterialDetail(data) {
  return request({
    url: '/EhsMaterialDetail/EhsMaterialDetail',
    method: 'put',
    data: data
  })
}

// 删除资源管理出库入库明细
export function delEhsMaterialDetail(materialDetailId) {
  return request({
    url: '/EhsMaterialDetail/EhsMaterialDetail/' + materialDetailId,
    method: 'delete'
  })
}
